Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.laf
Interface PropertyHandler

All Superinterfaces:
  Handler

All Known Implementing Classes:
  OverlayProperties, OverlayPropertyHandler

    public interface PropertyHandler

extends Handler

Method Summary
`boolean` | `exists(String filename)` check to see whether a property file exists within the classpath or filesystem
`String` | `getProperty(String key)` return the value of a given key from the properties list
`String` | `getProperty(String key, String defValue)` return the value of a given key from the properties list, returning the defValue string should the key not be found
`boolean` | `loadProps(String filename)` load properties for the given properties file

Method Detail

### loadProps

    boolean loadProps(String filename)

  load properties for the given properties file

  Parameters:
    `filename` -
  Returns:
    true if load was successful

### exists

    boolean exists(String filename)

  check to see whether a property file exists within the classpath or filesystem

  Parameters:
    `filename` -
  Returns:
    true if resource exists

### getProperty

    String getProperty(String key)

  return the value of a given key from the properties list

  Parameters:
    `key` -
  Returns:
    null if the key is not found

### getProperty

    String getProperty(String key,
                       String defValue)

  return the value of a given key from the properties list, returning the defValue string should the key not be found

  Parameters:
    `key` -
    `defValue` -
  Returns:
    a string representing either the value associated with the passed key or defValue should that key not be found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD